<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>{{ block "title" . }}
        <!-- Blocks may include default content. -->
        {{ .Site.Title }}
        {{ end }}</title>
</head>
<body>
<!-- Code that all your templates share, like a header -->
{{ block "main" . }}
<!-- The part of the page that begins to differ between templates -->
{{ end }}
{{ block "footer" . }}
<!-- More shared code, perhaps a footer but that can be overridden if need be in  -->
{{ end }}
</body>
</html>
